<?php
// 固定ページ、投稿ページにアイキャッチ画像の設定エリアを表示
function my_setup()
{
  add_theme_support('post-thumbnails');
}
add_action('after_setup_theme', 'my_setup');

// 外観 > メニューを表示
add_action('after_setup_theme', 'register_menu');
function register_menu()
{
  register_nav_menu('primary', __('Primary Menu', 'theme-slug'));
}
// メニュー位置を追加
function create_menu_area() {
	register_nav_menu( 'header_menu', 'ヘッダーメニュー' );
	register_nav_menu( 'footer_menu', 'フッターメニュー' );
}

add_action( 'after_setup_theme', 'create_menu_area' );

// wp_nav_menuの不要なidの削除
function remove_menu_id( $id ){
	return $id = array();
}
add_filter('nav_menu_item_id', 'remove_menu_id', 10);

// wp_nav_menuの不要なclassの削除
function remove_menu_class( $classes ){
  return $classes = array();
}
add_filter('nav_menu_css_class', 'remove_menu_class', 10, 2);

// 画像の width/height を削除
add_filter( 'post_thumbnail_html', 'remove_width_attribute', 10 );
add_filter( 'image_send_to_editor', 'remove_width_attribute', 10 );
 
function remove_width_attribute( $html ) {
   $html = preg_replace( '/(width|height)="\d*"\s/', "", $html );
   return $html;
}

// 存在しないページを指定された場合は 404 ページを表示する
function redirect_404() {
  // メインページ・投稿ページ・固定ページ・カテゴリーページ 以外の指定の場合 404 ページを表示する
  if(is_home() || is_single() || is_page() || is_category()) return;
  include(TEMPLATEPATH . '/404.php');
  exit;
}
add_action('template_redirect', 'redirect_404');
?>